import { OnDestroy, OnInit } from '@angular/core';
import { MatSnackBar } from '@angular/material/snack-bar';
import { Store } from '@ngrx/store';
import { Subscription } from 'rxjs';
import { MangolControllersPositionStateModel } from './../../../store/controllers/controllers.reducers';
import * as fromMangol from './../../../store/mangol.reducers';
export declare class PositionComponent implements OnInit, OnDestroy {
    private store;
    snackBar: MatSnackBar;
    position: MangolControllersPositionStateModel;
    pointerMoveFunction: any;
    mapSubscription: Subscription;
    showCopyIcon: boolean;
    copyIconId: string;
    positionSubscription: Subscription;
    constructor(store: Store<fromMangol.MangolState>, snackBar: MatSnackBar);
    ngOnInit(): void;
    ngOnDestroy(): void;
    copyCoordinatesToClipboard(): void;
}
