import { PrintDictionary } from './../../interfaces/config-toolbar.interface';
import * as PrintActions from './print.actions';
export interface PrintLayout {
    type: 'landscape' | 'portrait';
}
export interface PrintSize {
    id: string;
    width: number;
    height: number;
}
export interface State {
    hasPrint: boolean;
    disabled: boolean;
    title: string;
    layouts: PrintLayout[];
    resolutions: number[];
    sizes: PrintSize[];
    selectedLayout: PrintLayout;
    selectedResolution: number;
    selectedSize: PrintSize;
    dictionary: PrintDictionary;
}
export declare function printReducer(state: State, action: PrintActions.PrintActions): State;
